---
title: RTCIceGathererState
slug: Web/API/RTCIceGathererState
tags:
  - API
  - Enum
  - Enumerated Type
  - Gathering
  - ICE
  - RTCIceGathererState
  - Read-only
  - Reference
  - Type
  - WebRTC
  - rtc
  - state
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>RTCIceGathererState</code></strong> enumerated type provides the string values which can be returned by an {{domxref("RTCIceTransport")}} object's {{domxref("RTCIceTransport.gatheringState", "gatheringState")}}.</span></p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>"new"</code></dt>
 <dd>The {{domxref("RTCIceTransport")}} is newly created and has not yet started to gather ICE candidates.</dd>
 <dt><code>"gathering"</code></dt>
 <dd>The transport is in the process of gathering candidates.</dd>
 <dt><code>"complete"</code></dt>
 <dd>The transport has finished gathering ICE candidates and has sent the end-of-candidates indicator to the remote device. The transport won't gather any further candidates unless an <a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime#ICE_restart">ICE restart</a> occurs, at which point the gathering process starts over from scratch.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicegathererstate', 'RTCIceGathererState')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceGathererState")}}</p>
</div>
